%define section   devel
%define base_name commons-betwixt

Name:           jakarta-%{base_name}0
Version:        0.7
Release:        1jpp
Epoch:          0
Summary:        Java bean to XML mapping library

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://jakarta.apache.org/commons/betwixt/
Source0:        commons-betwixt-0.7-src.tar.gz
Patch0:         commons-betwixt-0.7-build_xml.patch

#Patch0:         %{name}-crosslink.patch
#Patch1:         %{name}-version.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5, ant >= 0:1.6, ant-junit >= 0:1.6
BuildRequires:  junit
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-commons-digester
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-beanutils
Requires:       jakarta-commons-logging
Requires:       jakarta-commons-digester
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-collections

%description
The Betwixt library provides an XML introspection mechanism for
mapping beans to XML in a flexible way. It is implemented using an
XMLIntrospector and XMLBeanInfo classes which are similar to the
standard Introspector and BeanInfo from the Java Beans specification.
Betwixt provides a way of turning beans into XML as well as
automatically generating digester rules in a way that can be
customized on a per type manner in the same way that the BeanInfo
mechanism can be used to customize the default introspection on a java
object.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
BuildRequires:  java-javadoc, jakarta-commons-collections-javadoc >= 0:2.1
BuildRequires:  jakarta-commons-logging-javadoc >= 0:1.0.2
BuildRequires:  jakarta-commons-digester-javadoc >= 0:1.5
BuildRequires:  jakarta-commons-beanutils-javadoc >= 0:1.6.1

%description    javadoc
%{summary}.


%prep
%setup -q -n %{base_name}-%{version}-src
%patch0 -b .sav
#%patch1 -p0

%build
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=$(build-classpath jakarta-commons-logging-api \
jakarta-commons-logging jakarta-commons-digester jakarta-commons-collections \
jakarta-commons-beanutils \
)
ant \
  -Dnoget=true \
  -Dbuild.sysclasspath=first \
  -Dj2se.javadoc=%{_javadocdir}/java \
  -Dcollections.javadoc=%{_javadocdir}/jakarta-commons-collections \
  -Dlogging.javadoc=%{_javadocdir}/jakarta-commons-logging \
  -Ddigester.javadoc=%{_javadocdir}/jakarta-commons-digester \
  -Dbeanutils.javadoc=%{_javadocdir}/jakarta-commons-beanutils \
  test dist


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 dist/%{base_name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in jakarta-*; do \
ln -sf ${jar} ${jar/jakarta-/}; done)
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr RELEASE-NOTES.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%doc %{_docdir}/%{name}-%{version}/RELEASE-NOTES.txt
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Tue Oct 18 2005 Ralph Apel <r.apel at r-apel.de> - 0:0.7-1jpp
- New name to get effective current version right
- commons-betwixt-1.0-alpha cannot be obsoleted, because it is 
  needed by other stuff

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:1.0-0.alpha1.4jpp
- Rebuild with ant-1.6.2

* Fri Aug 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.alpha1.3jpp
- Void change

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:1.0-0.alpha1.2jpp
- Upgrade to Ant 1.6.X

* Sun Oct 12 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.alpha1.1jpp
- First build.
